# InputFilter

## Performs the Get operation.

> Use this endpoint to execute the get workflow in InputFilterController.\
> \
> Required roles: Admin.

```json
{"openapi":"3.0.1","info":{"title":"WebApi | v1","version":"1.0.0"},"tags":[{"name":"InputFilter"}],"servers":[{"url":"https://api.safegpt.nl/"}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"JWT bearer token. Example: 'Bearer {token}'.","scheme":"bearer","bearerFormat":"JWT"}}},"paths":{"/v1/InputFilter/Get":{"get":{"tags":["InputFilter"],"summary":"Performs the Get operation.","description":"Use this endpoint to execute the get workflow in InputFilterController.\n\nRequired roles: Admin.","parameters":[{"name":"companyId","in":"query","schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK"},"401":{"description":"Authentication is required."},"403":{"description":"The user is not authorized to access this endpoint."}}}}}}
```

## Performs the Get operation.

> Use this endpoint to execute the get workflow in InputFilterController.\
> \
> Required roles: Admin.

```json
{"openapi":"3.0.1","info":{"title":"WebApi | v1","version":"1.0.0"},"tags":[{"name":"InputFilter"}],"servers":[{"url":"https://api.safegpt.nl/"}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"JWT bearer token. Example: 'Bearer {token}'.","scheme":"bearer","bearerFormat":"JWT"}}},"paths":{"/v1/InputFilter/Get/{inputFilterId}":{"get":{"tags":["InputFilter"],"summary":"Performs the Get operation.","description":"Use this endpoint to execute the get workflow in InputFilterController.\n\nRequired roles: Admin.","parameters":[{"name":"inputFilterId","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK"},"401":{"description":"Authentication is required."},"403":{"description":"The user is not authorized to access this endpoint."}}}}}}
```

## Create input filter.

> Use this endpoint to create input filter.\
> \
> Required roles: Admin.

```json
{"openapi":"3.0.1","info":{"title":"WebApi | v1","version":"1.0.0"},"tags":[{"name":"InputFilter"}],"servers":[{"url":"https://api.safegpt.nl/"}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"JWT bearer token. Example: 'Bearer {token}'.","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"CreateInputFilterViewModel":{"required":["inputFilterName","replacementVariable","inputFilterId"],"type":"object","properties":{"inputFilterName":{"type":"string","description":"Gets or sets the name of the filter."},"description":{"type":"string","description":"Gets or sets an optional description of the filter behavior.","nullable":true},"pattern":{"type":"string","description":"Gets or sets an optional custom pattern used for matching input.","nullable":true},"replacementVariable":{"type":"string","description":"Gets or sets the replacement token to insert when a match is detected."},"enable":{"type":"boolean","description":"Gets or sets whether the new filter should be enabled."},"inputFilterId":{"type":"string","description":"Gets or sets an optional default filter id to clone behavior from.","format":"uuid","nullable":true}},"description":"Represents the payload for creating a new input-filter rule."}}},"paths":{"/v1/InputFilter/Create/{companyId}":{"post":{"tags":["InputFilter"],"summary":"Create input filter.","description":"Use this endpoint to create input filter.\n\nRequired roles: Admin.","parameters":[{"name":"companyId","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateInputFilterViewModel"}},"text/json":{"schema":{"$ref":"#/components/schemas/CreateInputFilterViewModel"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/CreateInputFilterViewModel"}}},"required":true},"responses":{"200":{"description":"OK"},"401":{"description":"Authentication is required."},"403":{"description":"The user is not authorized to access this endpoint."}}}}}}
```

## Update input filter.

> Use this endpoint to update input filter.\
> \
> Required roles: Admin.

```json
{"openapi":"3.0.1","info":{"title":"WebApi | v1","version":"1.0.0"},"tags":[{"name":"InputFilter"}],"servers":[{"url":"https://api.safegpt.nl/"}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"JWT bearer token. Example: 'Bearer {token}'.","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"UpdateInputFilterViewModel":{"required":["inputFilterName","replacementVariable"],"type":"object","properties":{"inputFilterName":{"type":"string","description":"Gets or sets the updated filter name."},"replacementVariable":{"type":"string","description":"Gets or sets the updated replacement token."},"description":{"type":"string","description":"Gets or sets the updated optional filter description.","nullable":true},"pattern":{"type":"string","description":"Gets or sets an optional updated custom matching pattern.","nullable":true},"enable":{"type":"boolean","description":"Gets or sets whether the filter remains enabled."}},"description":"Represents the payload for updating an existing input-filter rule."}}},"paths":{"/v1/InputFilter/Update/{inputFilterId}":{"put":{"tags":["InputFilter"],"summary":"Update input filter.","description":"Use this endpoint to update input filter.\n\nRequired roles: Admin.","parameters":[{"name":"inputFilterId","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateInputFilterViewModel"}},"text/json":{"schema":{"$ref":"#/components/schemas/UpdateInputFilterViewModel"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/UpdateInputFilterViewModel"}}},"required":true},"responses":{"200":{"description":"OK"},"401":{"description":"Authentication is required."},"403":{"description":"The user is not authorized to access this endpoint."}}}}}}
```

## Delete input filter.

> Use this endpoint to delete input filter.\
> \
> Required roles: Admin.

```json
{"openapi":"3.0.1","info":{"title":"WebApi | v1","version":"1.0.0"},"tags":[{"name":"InputFilter"}],"servers":[{"url":"https://api.safegpt.nl/"}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"JWT bearer token. Example: 'Bearer {token}'.","scheme":"bearer","bearerFormat":"JWT"}}},"paths":{"/v1/InputFilter/Delete/{inputFilterId}":{"delete":{"tags":["InputFilter"],"summary":"Delete input filter.","description":"Use this endpoint to delete input filter.\n\nRequired roles: Admin.","parameters":[{"name":"inputFilterId","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK"},"401":{"description":"Authentication is required."},"403":{"description":"The user is not authorized to access this endpoint."}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.safegpt.nl/api-nl/endpoints/inputfilter.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
